---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap01t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x24E0, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52900, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54840, symBinAddr: 0xA270, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54C30, symBinAddr: 0xA660, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55BD0, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55BE0, symBinAddr: 0xB610, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52440, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBE0, offset: 0xBE0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52444, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBEB, offset: 0xBEB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52448, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC30, offset: 0xC30, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52590, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xCA9, offset: 0xCA9, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52648, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCC7, offset: 0xCC7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5264C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCE0, offset: 0xCE0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52650, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCF9, offset: 0xCF9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52654, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD12, offset: 0xD12, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52658, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92FC, offset: 0x92FC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52660, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9385, offset: 0x9385, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x52670, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x939E, offset: 0x939E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52678, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93B7, offset: 0x93B7, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52680, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93D0, offset: 0x93D0, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52688, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93E9, offset: 0x93E9, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52690, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9403, offset: 0x9403, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52698, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94E9, offset: 0x94E9, size: 0x8, addend: 0x0, symName: __ZL8obj_free, symObjAddr: 0x526DC, symBinAddr: 0x81CC, symSize: 0x0 }
  - { offsetInCU: 0x9502, offset: 0x9502, size: 0x8, addend: 0x0, symName: __ZL9obj_count, symObjAddr: 0x526E0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9520, offset: 0x9520, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x526E8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x9539, offset: 0x9539, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x526F0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9552, offset: 0x9552, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52700, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x956B, offset: 0x956B, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x5286C, symBinAddr: 0x832C, symSize: 0x0 }
  - { offsetInCU: 0x95BD, offset: 0x95BD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1010, symSize: 0x80 }
  - { offsetInCU: 0x9652, offset: 0x9652, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF60, symSize: 0xB0 }
  - { offsetInCU: 0x96AD, offset: 0x96AD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE60, symSize: 0x100 }
  - { offsetInCU: 0x9940, offset: 0x9940, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1090, symSize: 0xC0 }
  - { offsetInCU: 0x9992, offset: 0x9992, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1150, symSize: 0x220 }
  - { offsetInCU: 0x9B77, offset: 0x9B77, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1370, symSize: 0xA0 }
  - { offsetInCU: 0x9C2A, offset: 0x9C2A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1410, symSize: 0x110 }
  - { offsetInCU: 0x9D20, offset: 0x9D20, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1520, symSize: 0x150 }
  - { offsetInCU: 0x9E7D, offset: 0x9E7D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1670, symSize: 0x30 }
  - { offsetInCU: 0x9F5E, offset: 0x9F5E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x16A0, symSize: 0x150 }
  - { offsetInCU: 0xA156, offset: 0xA156, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x17F0, symSize: 0x160 }
  - { offsetInCU: 0xA2D1, offset: 0xA2D1, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1EF0, symBinAddr: 0x1950, symSize: 0x150 }
  - { offsetInCU: 0xA554, offset: 0xA554, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1AA0, symSize: 0x4A0 }
  - { offsetInCU: 0xA7C7, offset: 0xA7C7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1F40, symSize: 0x1B0 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x20F0, symSize: 0xA0 }
  - { offsetInCU: 0xAAB1, offset: 0xAAB1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2190, symSize: 0x20 }
  - { offsetInCU: 0xAAE8, offset: 0xAAE8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x21B0, symSize: 0x20 }
  - { offsetInCU: 0xAB1F, offset: 0xAB1F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x21D0, symSize: 0x20 }
  - { offsetInCU: 0xAC8E, offset: 0xAC8E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x21F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFAA, offset: 0xAFAA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2390, symSize: 0x150 }
  - { offsetInCU: 0xB167, offset: 0xB167, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2780, symSize: 0x1D0 }
  - { offsetInCU: 0xB463, offset: 0xB463, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2950, symSize: 0x80 }
  - { offsetInCU: 0xB52C, offset: 0xB52C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x29D0, symSize: 0x6C0 }
  - { offsetInCU: 0xC0A2, offset: 0xC0A2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA480, symBinAddr: 0x42C0, symSize: 0xB0 }
  - { offsetInCU: 0xC119, offset: 0xC119, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3090, symSize: 0x70 }
  - { offsetInCU: 0xC219, offset: 0xC219, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x3100, symSize: 0x3B0 }
  - { offsetInCU: 0xC691, offset: 0xC691, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x34B0, symSize: 0xA0 }
  - { offsetInCU: 0xC7BC, offset: 0xC7BC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3550, symSize: 0x40 }
  - { offsetInCU: 0xC8B2, offset: 0xC8B2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3590, symSize: 0x2B0 }
  - { offsetInCU: 0xCC58, offset: 0xCC58, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3840, symSize: 0xC0 }
  - { offsetInCU: 0xCD9E, offset: 0xCD9E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3900, symSize: 0x10 }
  - { offsetInCU: 0xCE60, offset: 0xCE60, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3910, symSize: 0x240 }
  - { offsetInCU: 0xD149, offset: 0xD149, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3B50, symSize: 0x10 }
  - { offsetInCU: 0xD1A6, offset: 0xD1A6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3B60, symSize: 0x480 }
  - { offsetInCU: 0xD6DF, offset: 0xD6DF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA1A0, symBinAddr: 0x3FE0, symSize: 0x10 }
  - { offsetInCU: 0xD73C, offset: 0xD73C, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA1B0, symBinAddr: 0x3FF0, symSize: 0x30 }
  - { offsetInCU: 0xD787, offset: 0xD787, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA1E0, symBinAddr: 0x4020, symSize: 0x70 }
  - { offsetInCU: 0xD7E0, offset: 0xD7E0, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0xA250, symBinAddr: 0x4090, symSize: 0x20 }
  - { offsetInCU: 0xD828, offset: 0xD828, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA270, symBinAddr: 0x40B0, symSize: 0x30 }
  - { offsetInCU: 0xD8A9, offset: 0xD8A9, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0xA2A0, symBinAddr: 0x40E0, symSize: 0x30 }
  - { offsetInCU: 0xD8FE, offset: 0xD8FE, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA2D0, symBinAddr: 0x4110, symSize: 0x30 }
  - { offsetInCU: 0xD969, offset: 0xD969, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_newObject, symObjAddr: 0xA300, symBinAddr: 0x4140, symSize: 0x180 }
  - { offsetInCU: 0xDAFE, offset: 0xDAFE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_allocObject, symObjAddr: 0xA530, symBinAddr: 0x4370, symSize: 0x200 }
  - { offsetInCU: 0xDD13, offset: 0xDD13, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_24CallNonvirtualVoidMethodEP8_jobjectP7_jclassP10_jmethodIDz, symObjAddr: 0xA730, symBinAddr: 0x4570, symSize: 0xA0 }
  - { offsetInCU: 0xDD8A, offset: 0xDD8A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP01_ap01t001_flushObjectFreeEvents, symObjAddr: 0xA7D0, symBinAddr: 0x4610, symSize: 0xC0 }
  - { offsetInCU: 0xDF41, offset: 0xDF41, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA890, symBinAddr: 0x46D0, symSize: 0x510 }
  - { offsetInCU: 0xE50A, offset: 0xE50A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xADA0, symBinAddr: 0x4BE0, symSize: 0x36A }
...
